## Bsoft program

# blocres

### Usage: blocres [options] input1.img input2.img output.img

The local (-box) and shell (-shell) resolution calculations are mutually exclusive.

### Actions:

-box 20 | Kernel size for determining local resolution (pixels/voxels).
-shell 14 | Shell width for determining radial resolution (pixels/voxels).

### Parameters:

-verbose 7 | Verbosity of output.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-step 5 | Interval between voxel samples or shells for resolution analysis (pixels, default: 1).
-radii 20,130 | Radial limits for local or shell resolution (default 0,).
-maxresolution 5 | Maximum frequency available in the data (angstrom).
-cutoff 0.5,0.143 | Resolution cutoffs for FSC (default 0.5).
-fill 200 | Value to fill the background (non-masked regions; default 0).

### Parameters for local resolution:

-pad 2 | Resolution box padding factor (0 = none, default: 1 (box) and 0 (shell)).
-edge 10 | Pixels at the edge of the whole map to exclude from analysis (default: half the size of the resolution box).
-taper edge | Apply a windowing aperture to box volumes before resolution analysis.
| none = do not taper
| edge = circular mask with smooth edges
| hann = hanning window (default)
-nofill | Do not fill values in between (if step > 1).
-symmetry D5 | Point group symmetry.

### Parameters for shell resolution:

-smooth | Smooth the shell edge.

### Input:

-Mask mask.tif,2 | Mask file to use for limiting the analysis to a defined region
| and level value to use (optional, default: all but zero).

Bsoft version 2.0.3-20180917 (64 bit)